<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Refresh Method (IEdmFile5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : Refresh Method (IEdmFile5)

Visual Basic
C#
C++/CLI
Refreshes the file.

# Syntax

Visual Basic |
--- | ---

    Sub Refresh()

C# |
--- | ---

    void Refresh()

C++/CLI |
--- | ---

    void Refresh();

# Remarks

In a multi-user implementation, a file can be checked in and out by others while you are working on it. Call this method before calling IEdmFile5::IsLocked to obtain the correct checkout status.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members